#!/usr/bin/python
# Author(s): crdlb
from distutils.core import setup

# Default installation prefix
INSTALL_PREFIX = '/usr'

# Setup function from distutils
setup(
	name = 'desktop-effects',
	version = '0.1',
	author = 'KageSenshi (Mohd Izhar Firdaus Ismail)',
	author_email = 'izhar@fedoraproject.org',
	url = '',
	license = 'GPL',
	description = 'A port of desktop-effects menu from Soren Sandmann (sandmann@redhat.com) to use Libcompizconfig through compizconfig-python',
	# Files that needs to be installed
	data_files = [
		(INSTALL_PREFIX + '/bin',
			['src/desktop-effects']),
		(INSTALL_PREFIX + '/share/icons/hicolor/16x16/apps/',
			['data/desktop-effects16.png']),
		(INSTALL_PREFIX + '/share/icons/hicolor/24x24/apps/',
			['data/desktop-effects24.png']),
		(INSTALL_PREFIX + '/share/icons/hicolor/32x32/apps/',
			['data/desktop-effects32.png']),
		(INSTALL_PREFIX + '/share/icons/hicolor/36x36/apps/',
			['data/desktop-effects36.png']),
		(INSTALL_PREFIX + '/share/icons/hicolor/48x48/apps/',
			['data/desktop-effects48.png']),
		(INSTALL_PREFIX + '/share/icons/hicolor/96x96/apps/',
			['data/desktop-effects96.png']),
		(INSTALL_PREFIX + '/share/applications/',
			['data/desktop-effects.desktop']),
                (INSTALL_PREFIX + '/share/compiz/',
                        ['data/desktop-effects.glade']),
		     ]
)
